## Apache Zeta Components Manual :: Docs For Class ezcWorkflowEventLogListener

### WorkflowEventLogTiein::ezcWorkflowEventLogListener

### Class ezcWorkflowEventLogListener

Wrapper for ezcLog that logs workflow events.

Source for this file: /WorkflowEventLogTiein/src/listener.php

### Implements interfaces:

- ezcWorkflowExecutionListener

Version: | //autogen//

### Member Variables

protected ezcLog | `$log` ezcLog instance to be used.

### Method Summary

public ezcWorkflowEventLogListener | `__construct( $log )` Construct a new event log listener.
public void | `notify( $message , [ $type = ezcWorkflowEventLogListener::INFO] )` Called to inform about events.

### Methods

#### __construct

ezcWorkflowEventLogListener __construct( $log )

Construct a new event log listener.

This constructor is a tie-in.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$log` | ezcLog |

#### notify

void notify( string $message , [int $type = ezcWorkflowEventLogListener::INFO] )

Called to inform about events.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$message` | string |
`$type` | int |

Documentation generated by phpDocumentor 1.4.3